Subject: [PATCH v2 0/3] gnu: libharu: Update to 2.4.2.

From: "Paul A. Patience" <[email-masked]>
Date: Mon, 12 Sep 2022 19:25:20 +0000

The issue causing the saga build to fail was fixed in libHaru 2.4.2, so I
updated it to that version.
(I had tested the build of emboss, which also depends on libHaru, but not that
of saga; I should have.)

saga still needed a patch, and VTK too, because the 2.4.0 update of libHaru
contained several breaking changes.

Paul A. Patience (3):
  gnu: libharu: Update to 2.4.2.
  gnu: saga: Fix build with newer libHaru.
  gnu: vtk: Use system libHaru.

 gnu/packages/geo.scm              |  9 ++++++-
 gnu/packages/image-processing.scm | 22 ++++++++++------
 gnu/packages/pdf.scm              | 44 ++++++++++++++++---------------
 3 files changed, 45 insertions(+), 30 deletions(-)

--
2.37.3